<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
		$sql1 = <<<'SQL'
            ALTER TABLE machines
            ADD COLUMN work_group_master_id BIGINT NOT NULL,
            ADD CONSTRAINT machines_work_group_master_id_fkey
            FOREIGN KEY (work_group_master_id) REFERENCES work_group_masters(id);
        SQL;

        DB::statement($sql1);

        $sql2 = <<<'SQL'
        ALTER TABLE machines
        ADD UNIQUE (plant_id, work_center);
        SQL;

        DB::statement($sql2);
	}

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('machines', function (Blueprint $table) {
        //     //
        // });
    }
};
